package com.ruoyi.common.core.domain;

import com.ruoyi.common.annotation.Excel;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 用户身份证信息对象 sys_user_idcard
 * 
 * @author boman
 * @date 2024-04-22
 */
public class SysUserIdcardVo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 用户ID */
    private Long userId;

    /** 身份证号码 */
    private String idCard;

    /** 真实姓名 */
    @Excel(name = "真实姓名")
    private String realName;

    /** 失效日期 */
    @Excel(name = "失效日期")
    private String expirationDate;

    /** 手机号码 */
    @Excel(name = "手机号码")
    private String phonenumber;

    /** 居住地址 */
    @Excel(name = "居住地址")
    private String address;

    /** 正面地址 */
    @Excel(name = "正面地址")
    private String front;

    /** 反面地址 */
    @Excel(name = "反面地址")
    private String back;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /**
     * 图片
     */
    private String image;
    /**
     * 认证结果
     */
    private String result;

    /**
     * MetaInfo环境参数，需要通过客户端SDK获取
     *
     * {"zimVer":"3.0.0","appVersion": "1","bioMetaInfo": "4.1.0:1150****,0","appName": "com.aliyun.antcloudauth","deviceType": "ios","osVersion": "iOS 10.3.2","apdidToken": "","deviceModel": "iPhone9,1"}
     */
    private String metaInfo;
    /**
     *     您的业务页面回跳的目标地址。
     */
    private String returnUrl;

    public String getReturnUrl() {
        return returnUrl;
    }

    public void setReturnUrl(String returnUrl) {
        this.returnUrl = returnUrl;
    }

    public String getMetaInfo() {
        return metaInfo;
    }

    public void setMetaInfo(String metaInfo) {
        this.metaInfo = metaInfo;
    }

    public String getImage() {
        return image;
    }

    public void setImage(String image) {
        this.image = image;
    }

    public String getResult() {
        return result;
    }

    public void setResult(String result) {
        this.result = result;
    }

    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setIdCard(String idCard) 
    {
        this.idCard = idCard;
    }

    public String getIdCard() 
    {
        return idCard;
    }
    public void setRealName(String realName) 
    {
        this.realName = realName;
    }

    public String getRealName() 
    {
        return realName;
    }
    public void setExpirationDate(String expirationDate) 
    {
        this.expirationDate = expirationDate;
    }

    public String getExpirationDate() 
    {
        return expirationDate;
    }
    public void setPhonenumber(String phonenumber) 
    {
        this.phonenumber = phonenumber;
    }

    public String getPhonenumber() 
    {
        return phonenumber;
    }
    public void setAddress(String address) 
    {
        this.address = address;
    }

    public String getAddress() 
    {
        return address;
    }
    public void setFront(String front) 
    {
        this.front = front;
    }

    public String getFront() 
    {
        return front;
    }
    public void setBack(String back) 
    {
        this.back = back;
    }

    public String getBack() 
    {
        return back;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("userId", getUserId())
            .append("idCard", getIdCard())
            .append("realName", getRealName())
            .append("expirationDate", getExpirationDate())
            .append("phonenumber", getPhonenumber())
            .append("address", getAddress())
            .append("front", getFront())
            .append("back", getBack())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
